Loading...
Searching...
No Matches
binaryFileAdaptor.h File Reference
`#include <iostream>`
`#include <algorithm>`
`#include <BALL/COMMON/logStream.h>`
`#include <BALL/SYSTEM/binaryFileAdaptor.iC>`

Go to the source code of this file.

## Classes

class | BALL::BinaryFileAdaptor< T >

## Namespaces

namespace | BALL

## Functions

template<typename T>
void | BALL::swapBytes (T &t)
template<>
BALL_EXPORT void | BALL::swapBytes (unsigned short &)
template<>
BALL_EXPORT void | BALL::swapBytes (short &)
template<>
BALL_EXPORT void | BALL::swapBytes (unsigned int &)
template<>
BALL_EXPORT void | BALL::swapBytes (int &)
template<>
BALL_EXPORT void | BALL::swapBytes (unsigned long &)
template<>
BALL_EXPORT void | BALL::swapBytes (long &)
template<>
BALL_EXPORT void | BALL::swapBytes (float &)
template<>
BALL_EXPORT void | BALL::swapBytes (double &)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &os, const BinaryFileAdaptor< T > &data)
| Output stream for BinaryFileAdaptors.
template<typename T>
std::istream & | BALL::operator>> (std::istream &is, BinaryFileAdaptor< T > &data)
| Input stream for BinaryFileAdaptors.